Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.phylo.io.nexus
Interface DistancesBlockListener

All Superinterfaces:
  NexusBlockListener

All Known Implementing Classes:
  DistancesBlockBuilder

    public interface DistancesBlockListener

extends NexusBlockListener

Listens to events that represent Nexus distances blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Method Summary
`void` | `addMatrixEntry(String taxa)`
`void` | `addTaxLabel(String taxLabel)` Add a TAXLABEL.
`void` | `appendMatrixData(String taxa, Object data)`
`void` | `setDiagonal(boolean diagonal)`
`void` | `setDimensionsNChar(int dimensionsNChar)` Set the NCHAR value.
`void` | `setDimensionsNTax(int dimensionsNTax)` Set the NTAX value.
`void` | `setInterleaved(boolean interleaved)`
`void` | `setLabels(boolean labels)`
`void` | `setMissing(String missing)`
`void` | `setTriangle(String triangle)`

Methods inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockListener
`beginComment, commentText, endBlock, endComment, endTokenGroup, startBlock`

Method Detail

### setDimensionsNTax

    void setDimensionsNTax(int dimensionsNTax)

  Set the NTAX value.

  Parameters:
    `dimensionsNTax` - the NTAX value.

### setDimensionsNChar

    void setDimensionsNChar(int dimensionsNChar)

  Set the NCHAR value.

  Parameters:
    `dimensionsNChar` - the NCHAR value.

### setTriangle

    void setTriangle(String triangle)

### setDiagonal

    void setDiagonal(boolean diagonal)

### setLabels

    void setLabels(boolean labels)

### setMissing

    void setMissing(String missing)

### setInterleaved

    void setInterleaved(boolean interleaved)

### addTaxLabel

    void addTaxLabel(String taxLabel)
                     throws ParseException

  Add a TAXLABEL. If it already exists, or is a number that refers to an index position that already exists, an exception is thrown.

  Parameters:
    `taxLabel` - the label to add.
  Throws:
    `ParseException` - if the label cannot be added.

### addMatrixEntry

    void addMatrixEntry(String taxa)

### appendMatrixData

    void appendMatrixData(String taxa,
                          Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD